Type to search.

Get an inference endpoint

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.11 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

This API requires the monitor_inference cluster privilege (the built-in inference_admin and inference_user roles grant this privilege).

Required privileges

Cluster privileges monitor_inference

Path parameters

task_type enum optional

The task type of the endpoint to return

Leave it out to use /_inference.

Values: sparse_embedding text_embedding rerank completion chat_completion embedding document_extraction decision
inference_id string optional

The inference Id of the endpoint to return. Using _all or * will return all endpoints with the specified task_type if one is specified, or all endpoints for all task types if no task_type is specified

Leave it out to use /_inference.

Response

application/json
endpoints object[] required
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: sparse_embedding text_embedding rerank completion chat_completion embedding document_extraction decision